%define upstream_name Convert-Bencode_XS
%define upstream_version 0.06

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 15
Summary:        Faster conversions to/from Bencode format
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/authors/id/I/IW/IWADE/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:  perl-devel
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Test::More)

%{?perl_default_filter}

%description
This module provides two functions, bencode and bdecode, which encode and
decode bencoded strings respectively.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%_fixperms %{buildroot}/*

%check
# PERL_PERTURB_KEYS to work around randomized hashes, CPAN RT#87012 
PERL_PERTURB_KEYS=0 make test

%files 
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Convert*
%{_mandir}/man3/*


%changelog
* Sun Nov 26 2023 tv <tv> 0.60.0-15.mga10
+ Revision: 2009925
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 0.60.0-14.mga9
+ Revision: 1861616
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.60.0-13.mga9
+ Revision: 1795566
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.60.0-12.mga9
+ Revision: 1726456
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.60.0-11.mga8
+ Revision: 1594357
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.60.0-10.mga8
+ Revision: 1529423
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.60.0-9.mga8
+ Revision: 1433411
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.60.0-8.mga7
+ Revision: 1292536
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 0.60.0-7.mga7
+ Revision: 1248968
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.60.0-6.mga7
+ Revision: 1163535
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.60.0-5.mga7
+ Revision: 1148693
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.60.0-4.mga7
+ Revision: 1126694
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1024338
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 956904
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 0.06-4.mga6
+ Revision: 843660
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.06-3.mga5
+ Revision: 742356
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.06-2.mga5
+ Revision: 733784
- fix requires

* Wed Oct 01 2014 tv <tv> 0.06-1.mga5
+ Revision: 733725
- imported package perl-Convert-Bencode_XS

